using Godot;
using System;

public partial class PowerBar : ProgressBar
{
	public override void _Ready()
	{
		
	}
	
	public override void _Process(double DELTA_)
	{
		Value = GetParent().GetNode<Actor>("Actor").GetNode<Cue>("Cue")._power / GetParent().GetNode<Actor>("Actor").GetNode<Cue>("Cue")._maxPower * 100;
	}
}
